<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="vendor/bootstrap-4.1.3-dist/css/bootstrap.css" />

  <title></title>
</head>

<body>
  <div class="container">
    <div class="row">
      <div class="col">
        <h1>Developers</h1>
        <div class="dev-wrapper">
          <div class="dev">
            <ul>
              <li>Name: <span class="name"></span></li>
              <li>Job: <span class="job"></span></li>
              <li>
                Skills:
                <ol class="skills"></ol>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="vendor/jquerry/jquery-3.3.1.min.js"></script>
  <script src="vendor/popper/popper.min.js"></script>
  <script src="vendor/bootstrap-4.1.3-dist/js/bootstrap.js"></script>
  <script>
    $(document).ready(function () {
      $.ajax({
        url: "developers.json",
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        success: function (data, textStatus, jqXHR) {
          var dev = $('.dev-wrapper').detach();
          $.each(data.developers, function (i, item) {
            $('.col').append(dev.html());
            $($('.name')[i]).text(item.name);
            $($('.job')[i]).text(item.job);
            var skillsHtml = '';
            $.each(item.skills, function(index, skillItem) {
              skillsHtml += "<li>" + skillItem.skill + "</li>";
            });
            $($('.skills')[i]).html(skillsHtml);
          });
        }
      });
    });
  </script>
</body>

</html>